name: Ed Bao
start_date: 2021-07-06
locality: Red Bank, New Jersey
country: United States
role: <a href="">Associate Sales Development Representative</a>
reports_to: ramonaelliott
picture: edbao.jpg
pronouns:
pronunciation:
twitter:
linkedin: ed-bao
gitlab: ebao2
departments:
  - Sales Development
specialty: 
expertise:
story:

